# knife index rebuild

The knife index rebuild subcommand is used to rebuild the search indexes for the open source server. This operation is destructive and may take some time.

Note

This subcommand ONLY works when run against the open source server version 10.x. This subcommand will NOT run against open source server 11, Enterprise Chef (including hosted Enterprise Chef), or Private Chef.

## Syntax

This argument has the following syntax:

    $ knife index rebuild

## Options

Note

Review the list of common options available to this (and all) Knife subcommands and plugins.

This command does not have any specific options.

## Examples

None.